/*
	
	PasswordControl.h
	
	Copyright 1998, Neil Miller. All Rights Reserved.

	This source is free; you can redistribute it and/or modify it under 
	the terms of the a modified GNU Library General Public License OR 
	Mozilla Public License.
	See "http://www.pobox.com/~ngm/be/index.html" for full details.

*/


#ifndef	PASSWORD_CONTROL_H
#define	PASSWORD_CONTROL_H

#include <TextControl.h>

class PasswordView;

class PasswordControl : public BTextControl {
public:
						PasswordControl(BRect frame,
									const char *name,
									const char *label, 
									const char *initial_text, 
									BMessage *message,
									uint32 rmask = B_FOLLOW_LEFT | B_FOLLOW_TOP,
									uint32 flags = B_WILL_DRAW | B_NAVIGABLE); 
	virtual				~PasswordControl();

						PasswordControl(BMessage *data);
	virtual	void		AttachedToWindow();

	const char			*Text() const;
	const char			*Password() const;
	
private:
	PasswordView	*password;
};

#endif
